# XW_EXT_DISPLAY Struct Reference

`#include <Xw_Extension.h>`

## Data Fields

void * | link
int | type
XW_SERVER_TYPE | server
Display * | display
Screen * | screen
Visual * | visual
GC | gc
int | width
int | height
Colormap | colormap
Window | rootwindow
Window | grabwindow
float | gamma
char * | gname

## Field Documentation

Colormap XW_EXT_DISPLAY::colormap

Display* XW_EXT_DISPLAY::display

float XW_EXT_DISPLAY::gamma

GC XW_EXT_DISPLAY::gc

char* XW_EXT_DISPLAY::gname

Window XW_EXT_DISPLAY::grabwindow

int XW_EXT_DISPLAY::height

void* XW_EXT_DISPLAY::link

Window XW_EXT_DISPLAY::rootwindow

Screen* XW_EXT_DISPLAY::screen

XW_SERVER_TYPE XW_EXT_DISPLAY::server

int XW_EXT_DISPLAY::type

Visual* XW_EXT_DISPLAY::visual

int XW_EXT_DISPLAY::width

The documentation for this struct was generated from the following file:

- Xw_Extension.h